Get email OTP settings
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "email-otp-settings",
"emailOtpLinksEnabled": true,
"ready": true,
"missing": [],
"smtpConfigurationStatus": "verified",
"activeEmailTemplateId": 18017,
"activeEmailOtpLinkCount": 4,
"sessionDurationMinutes": 30,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/email-otp-settings",
"type": "application/json"
},
"smtpConfiguration": {
"href": "https://api.voucher.allride.io/partner/v1/smtp-configuration",
"type": "application/json"
},
"activeEmailTemplate": {
"href": "https://api.voucher.allride.io/partner/v1/email-templates/18017",
"type": "application/json"
}
}
}
}
Email (SMTP and templates)
Get email OTP settings
Returns whether the Email OTP Gate is on and ready, and what is missing. See Email OTP links.
Required permissions: manage-consumer-email · API keys: allowed
GET
/
consumer
/
v1
/
email-otp-settings
Get email OTP settings
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/email-otp-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "email-otp-settings",
"emailOtpLinksEnabled": true,
"ready": true,
"missing": [],
"smtpConfigurationStatus": "verified",
"activeEmailTemplateId": 18017,
"activeEmailOtpLinkCount": 4,
"sessionDurationMinutes": 30,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/email-otp-settings",
"type": "application/json"
},
"smtpConfiguration": {
"href": "https://api.voucher.allride.io/partner/v1/smtp-configuration",
"type": "application/json"
},
"activeEmailTemplate": {
"href": "https://api.voucher.allride.io/partner/v1/email-templates/18017",
"type": "application/json"
}
}
}
}
Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Response
OK
Single-object envelope around a EmailOtpSettings.
Email OTP Gate settings and readiness.
Show child attributes
Show child attributes